<form #addNewRuleForm="ngForm" class="card-body" [formGroup]="providerDetailsForm">
  <div class="mt-0">
    <button type="button" class="btn btn-outline-warning actionButton float-right"
      (click)="addItem()">{{dataProviderContent.pocDetails.buttons.addPoC}}</button>
  </div>
  <div class="clearfix"></div>
  <hr class="mt-1" />
  <div formArrayName="items">
    <div *ngFor="let item of getControls(); let i = index;">
      <div [formGroupName]="i" name="frmGrp" #frmGrp>
        <div class="blocks col-md-6">
          <p class="custom-h6 col-md-4">{{dataProviderContent.pocDetails.communicationGroup.title}}</p>
          <ejs-dropdownlist required cssClass="e-outline" class="mr-6 custom-ddl" name="selectAttribute"
            [dataSource]="communicationGroupDropdown" [fields]="communicationGroupDropdown"
            [placeholder]="dataProviderContent.pocDetails.watermark" formControlName="poc_group">
          </ejs-dropdownlist>
          <ejs-tooltip id="tooltip" content='{{dataProviderContent.pocDetails.communicationGroup.tooltipContent}}'>
            <em class="fa fa-info-circle"></em>
          </ejs-tooltip>
        </div>
        <div class="blocks col-md-6">
          <p class="custom-h6 col-md-4">{{dataProviderContent.pocDetails.pocName.title}}</p>
          <ejs-textbox cssClass="e-outline" class="custom-textbox" floatLabelType="Auto" maxlength="50"
            formControlName="poc_nm">
          </ejs-textbox>
          <ejs-tooltip id="tooltip" content='{{dataProviderContent.pocDetails.pocName.tooltipContent}}'>
            <em class="fa fa-info-circle"></em>
          </ejs-tooltip>
        </div>
        <div class="blocks col-md-6">
          <p class="custom-h6 col-md-4">{{dataProviderContent.pocDetails.pocEmail.title}}</p>
          <ejs-textbox cssClass="e-outline" class="custom-textbox" floatLabelType="Auto" maxlength="50"
            formControlName="poc_email">
          </ejs-textbox>
          <ejs-tooltip id="tooltip" content='{{dataProviderContent.pocDetails.pocEmail.tooltipContent}}'>
            <em class="fa fa-info-circle"></em>
          </ejs-tooltip>
        </div>
        <div class="blocks col-md-6">
          <p class="custom-h6 col-md-4">{{dataProviderContent.pocDetails.pocPhone.title}}</p>
          <ejs-maskedtextbox mask="000-0000-000" cssClass="e-outline" class="custom-textbox" minlength="10"
            floatLabelType="Auto" formControlName="poc_ph">
          </ejs-maskedtextbox>
          <ejs-tooltip id="tooltip" content='{{dataProviderContent.pocDetails.pocPhone.tooltipContent}}'>
            <em class="fa fa-info-circle"></em></ejs-tooltip>
        </div>
        <div class="blocks col-md-6">
          <p class="col-md-6 del-poc-btn"></p>
          <div class="pl-1">
            <button type="button" class="btn btn-outline-warning actionButton float-right"
              (click)="deleteItem(i)">{{dataProviderContent.pocDetails.buttons.deletePoC}}</button>
          </div>
        </div>
        <hr class="mt-1" />
      </div>
    </div>
  </div>

</form>